#  安装 Docker 引擎

本节将介绍如何在 Linux 上安装 Docker Engine，也称为 Docker CE。Docker Engine 还可在 Windows、macOS 和 Linux 上通过 Docker Desktop 进行安装。有关 Docker Desktop 的安装说明，请参阅：[Docker Desktop 概述](https://docs.docker.com/desktop/)。

## 支持的平台

| 平台 | x86_64/amd64 | arm64 或 aarch64 |  arm（32 位） | ppc64le | s390x |
| - | :-: | :-: | :-: | :-: | :-: |
| CentOS | ✅ | ✅ |  | ✅ |  |
| Debian | ✅ | ✅ | ✅ | ✅ |  |
| Fedora | ✅ | ✅ |  | ✅ |  |
| Raspberry Pi OS (32-bit) |  |  | ✅ |  |  |
| RHEL | ✅ | ✅ |  |  | ✅ |
| SLES |  |  |  |  | ✅ |
| Ubuntu | ✅ | ✅ | ✅ | ✅ | ✅ |
| Binaries | ✅ | ✅ | ✅ |  |  |

### 其他 Linux 发行版
:::tip
尽管以下说明可能有效，但 Docker 不会在发行版衍生产品上测试或验证安装。
:::
- 如果您使用 Debian 衍生产品，例如“BunsenLabs Linux”、“Kali Linux”或“LMDE”（基于 Debian 的 Mint），则应遵循 [Debian](/docs/engine/debian)的安装说明，将您的发行版版本替换为相应的 Debian 版本。请参阅您的发行版的文档，以查找与您的衍生版本相对应的 Debian 版本。
- 同样，如果您使用 Ubuntu 衍生版本（例如“Kubuntu”、“Lubuntu”或“Xubuntu”），则应遵循 [Ubuntu](/docs/engine/ubuntu)的安装说明，将您的发行版版本替换为相应的 Ubuntu 版本。请参阅发行版的文档，以查找与您的衍生版本相对应的 Ubuntu 版本。
- 一些 Linux 发行版通过其软件包存储库提供 Docker Engine 软件包。这些软件包由 Linux 发行版的软件包维护者构建和维护，可能存在配置差异或基于修改后的源代码构建。Docker 不参与发布这些软件包，您应将涉及这些软件包的任何错误或问题报告给您的 Linux 发行版的问题跟踪器。

Docker 提供 用于手动安装 Docker Engine 的[二进制文件](https://docs.docker.com/engine/install/binaries/)。这些二进制文件是静态链接的，您可以在任何 Linux 发行版上使用它们。

## 发布渠道
Docker Engine 有两种类型的更新渠道，稳定版和测试版：

- **稳定**频道为您提供可供公众使用的最新版本。
- **测试**频道为您提供在正式发布之前可供测试的预发布版本。
请谨慎使用测试渠道。预发布版本包含实验性和抢先体验功能，可能会发生重大更改。

## 支持
Docker Engine 是一个开源项目，由 Moby 项目维护者和社区成员支持。Docker 不提供对 Docker Engine 的支持。Docker 为 Docker 产品提供支持，包括使用 Docker Engine 作为其组件之一的 Docker Desktop。

有关该开源项目的信息，请参阅 [Moby 项目网站](https://mobyproject.org/)。

## 升级路径
补丁版本始终与其主版本和次版本向后兼容。

## 许可
Docker Engine 遵循 Apache 许可证 2.0 版。请参阅 [LICENSE](https://github.com/moby/moby/blob/master/LICENSE) 以获取完整的许可证文本。

## 报告安全问题
如果您发现安全问题，请立即告知我们。

请勿提交公开问题。请将您的报告私下提交给 `security@docker.com`。

非常感谢您的安全报告，Docker 将公开感谢您。

## 开始使用
设置 Docker 后，您可以通过 [Docker 入门](https://docs.docker.com/get-started/introduction/)了解基础知识。
