# 使用 Docker 引擎的 containerd 映像存储

:::warning 注意
containerd 镜像存储是 Docker Engine 的一项实验性功能。 
如果您使用的是 Docker Desktop，请参阅 [containerd 映像存储与 Docker Desktop 页面](https://docs.docker.com/desktop/features/containerd/)。
:::

containerd 是行业标准的容器运行时，它使用快照程序而不是传统的存储驱动程序来存储映像和容器数据。
虽然 `overlay2` 驱动程序仍然是 Docker Engine 的默认驱动程序，但您可以选择使用 containerd snapshotter 作为实验性功能。

要了解有关 containerd 映像存储及其优势的更多信息，请参阅 [containerd 映像存储](https://docs.docker.com/desktop/features/containerd/)。

## 在 Docker Engine 上启用 containerd 映像存储
切换到 containerd 快照程序会导致您暂时丢失使用经典存储驱动程序创建的映像和容器。
这些资源仍然存在于您的文件系统上，您可以通过关闭 containerd snapshotters 功能来检索它们。

以下步骤说明如何启用 containerd snapshotters 功能。
1. 将以下配置添加到您的 `/etc/docker/daemon.json` 配置文件：
```json:line-numbers
{
  "features": {
    "containerd-snapshotter": true
  }
}
```
2. 保存文件。
3. 重新启动守护程序以使更改生效。
```bash
sudo systemctl restart docker
```

重新启动守护程序后，运行 `docker info` 显示您正在使用 containerd snapshotter 存储驱动程序。

```bash
docker info -f '{{ .DriverStatus }}'
[[driver-type io.containerd.snapshotter.v1]]
```

Docker Engine 默认使用 `overlayfs` containerd snapshotter。